WPGTextDataHandler Class Reference

`#include <WPGTextDataHandler.h>`

Inheritance diagram for WPGTextDataHandler:

## Public Member Functions

| WPGTextDataHandler (librevenge::RVNGDrawingInterface *painter)
| ~WPGTextDataHandler () override
void | setDocumentMetaData (const librevenge::RVNGPropertyList &) override
void | startDocument (const librevenge::RVNGPropertyList &) override
void | endDocument () override
void | defineEmbeddedFont (const librevenge::RVNGPropertyList &) override
void | definePageStyle (const librevenge::RVNGPropertyList &) override
void | openPageSpan (const librevenge::RVNGPropertyList &) override
void | closePageSpan () override
void | openHeader (const librevenge::RVNGPropertyList &) override
void | closeHeader () override
void | openFooter (const librevenge::RVNGPropertyList &) override
void | closeFooter () override
void | defineParagraphStyle (const librevenge::RVNGPropertyList &) override
void | openParagraph (const librevenge::RVNGPropertyList &propList) override
void | closeParagraph () override
void | defineCharacterStyle (const librevenge::RVNGPropertyList &) override
void | openSpan (const librevenge::RVNGPropertyList &propList) override
void | closeSpan () override
void | openLink (const librevenge::RVNGPropertyList &) override
void | closeLink () override
void | defineSectionStyle (const librevenge::RVNGPropertyList &) override
void | openSection (const librevenge::RVNGPropertyList &) override
void | closeSection () override
void | insertTab () override
void | insertSpace () override
void | insertText (const librevenge::RVNGString &text) override
void | insertLineBreak () override
void | insertField (const librevenge::RVNGPropertyList &) override
void | openOrderedListLevel (const librevenge::RVNGPropertyList &) override
void | openUnorderedListLevel (const librevenge::RVNGPropertyList &) override
void | closeOrderedListLevel () override
void | closeUnorderedListLevel () override
void | openListElement (const librevenge::RVNGPropertyList &propList) override
void | closeListElement () override
void | openFootnote (const librevenge::RVNGPropertyList &) override
void | closeFootnote () override
void | openEndnote (const librevenge::RVNGPropertyList &) override
void | closeEndnote () override
void | openComment (const librevenge::RVNGPropertyList &) override
void | closeComment () override
void | openTextBox (const librevenge::RVNGPropertyList &) override
void | closeTextBox () override
void | openTable (const librevenge::RVNGPropertyList &) override
void | openTableRow (const librevenge::RVNGPropertyList &) override
void | closeTableRow () override
void | openTableCell (const librevenge::RVNGPropertyList &) override
void | closeTableCell () override
void | insertCoveredTableCell (const librevenge::RVNGPropertyList &) override
void | closeTable () override
void | openFrame (const librevenge::RVNGPropertyList &) override
void | closeFrame () override
void | openGroup (const librevenge::RVNGPropertyList &) override
void | closeGroup () override
void | defineGraphicStyle (const librevenge::RVNGPropertyList &) override
void | drawRectangle (const librevenge::RVNGPropertyList &) override
void | drawEllipse (const librevenge::RVNGPropertyList &) override
void | drawPolygon (const librevenge::RVNGPropertyList &) override
void | drawPolyline (const librevenge::RVNGPropertyList &) override
void | drawPath (const librevenge::RVNGPropertyList &) override
void | drawConnector (const librevenge::RVNGPropertyList &) override
void | insertBinaryObject (const librevenge::RVNGPropertyList &) override
void | insertEquation (const librevenge::RVNGPropertyList &) override

## Private Member Functions

| WPGTextDataHandler (const WPGTextDataHandler &)
WPGTextDataHandler & | operator= (const WPGTextDataHandler &)

## Private Attributes

librevenge::RVNGDrawingInterface * | m_painter
librevenge::RVNGString | m_fontName
librevenge::RVNGPropertyList | m_paragraphStyle
librevenge::RVNGPropertyList | m_textStyle

## Constructor & Destructor Documentation

## WPGTextDataHandler() [1/2]

WPGTextDataHandler::WPGTextDataHandler | ( | librevenge::RVNGDrawingInterface * | painter | ) |

inline

Referenced by operator=(), and WPGTextDataHandler().

## ~WPGTextDataHandler()

WPGTextDataHandler::~WPGTextDataHandler | ( |  | ) |

inline override

## WPGTextDataHandler() [2/2]

WPGTextDataHandler::WPGTextDataHandler | ( | const WPGTextDataHandler & |  | ) |

private

## Member Function Documentation

## closeComment()

void WPGTextDataHandler::closeComment | ( |  | ) |

inline override

## closeEndnote()

void WPGTextDataHandler::closeEndnote | ( |  | ) |

inline override

## closeFooter()

void WPGTextDataHandler::closeFooter | ( |  | ) |

inline override

## closeFootnote()

void WPGTextDataHandler::closeFootnote | ( |  | ) |

inline override

## closeFrame()

void WPGTextDataHandler::closeFrame | ( |  | ) |

inline override

## closeGroup()

void WPGTextDataHandler::closeGroup | ( |  | ) |

inline override

## closeHeader()

void WPGTextDataHandler::closeHeader | ( |  | ) |

inline override

## closeLink()

void WPGTextDataHandler::closeLink | ( |  | ) |

inline override

## closeListElement()

void WPGTextDataHandler::closeListElement | ( |  | ) |

override

## closeOrderedListLevel()

void WPGTextDataHandler::closeOrderedListLevel | ( |  | ) |

inline override

## closePageSpan()

void WPGTextDataHandler::closePageSpan | ( |  | ) |

inline override

## closeParagraph()

void WPGTextDataHandler::closeParagraph | ( |  | ) |

override

## closeSection()

void WPGTextDataHandler::closeSection | ( |  | ) |

inline override

## closeSpan()

void WPGTextDataHandler::closeSpan | ( |  | ) |

override

## closeTable()

void WPGTextDataHandler::closeTable | ( |  | ) |

inline override

## closeTableCell()

void WPGTextDataHandler::closeTableCell | ( |  | ) |

inline override

## closeTableRow()

void WPGTextDataHandler::closeTableRow | ( |  | ) |

inline override

## closeTextBox()

void WPGTextDataHandler::closeTextBox | ( |  | ) |

inline override

## closeUnorderedListLevel()

void WPGTextDataHandler::closeUnorderedListLevel | ( |  | ) |

inline override

## defineCharacterStyle()

void WPGTextDataHandler::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## defineEmbeddedFont()

void WPGTextDataHandler::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## defineGraphicStyle()

void WPGTextDataHandler::defineGraphicStyle | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## definePageStyle()

void WPGTextDataHandler::definePageStyle | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## defineParagraphStyle()

void WPGTextDataHandler::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## defineSectionStyle()

void WPGTextDataHandler::defineSectionStyle | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## drawConnector()

void WPGTextDataHandler::drawConnector | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## drawEllipse()

void WPGTextDataHandler::drawEllipse | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## drawPath()

void WPGTextDataHandler::drawPath | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## drawPolygon()

void WPGTextDataHandler::drawPolygon | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## drawPolyline()

void WPGTextDataHandler::drawPolyline | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## drawRectangle()

void WPGTextDataHandler::drawRectangle | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## endDocument()

void WPGTextDataHandler::endDocument | ( |  | ) |

inline override

## insertBinaryObject()

void WPGTextDataHandler::insertBinaryObject | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## insertCoveredTableCell()

void WPGTextDataHandler::insertCoveredTableCell | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## insertEquation()

void WPGTextDataHandler::insertEquation | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## insertField()

void WPGTextDataHandler::insertField | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## insertLineBreak()

void WPGTextDataHandler::insertLineBreak | ( |  | ) |

override

## insertSpace()

void WPGTextDataHandler::insertSpace | ( |  | ) |

override

## insertTab()

void WPGTextDataHandler::insertTab | ( |  | ) |

override

## insertText()

void WPGTextDataHandler::insertText | ( | const librevenge::RVNGString & | text | ) |

override

## openComment()

void WPGTextDataHandler::openComment | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## openEndnote()

void WPGTextDataHandler::openEndnote | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## openFooter()

void WPGTextDataHandler::openFooter | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## openFootnote()

void WPGTextDataHandler::openFootnote | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## openFrame()

void WPGTextDataHandler::openFrame | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## openGroup()

void WPGTextDataHandler::openGroup | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## openHeader()

void WPGTextDataHandler::openHeader | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## openLink()

void WPGTextDataHandler::openLink | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## openListElement()

void WPGTextDataHandler::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

override

## openOrderedListLevel()

void WPGTextDataHandler::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## openPageSpan()

void WPGTextDataHandler::openPageSpan | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## openParagraph()

void WPGTextDataHandler::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |

override

## openSection()

void WPGTextDataHandler::openSection | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## openSpan()

void WPGTextDataHandler::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

override

## openTable()

void WPGTextDataHandler::openTable | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## openTableCell()

void WPGTextDataHandler::openTableCell | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## openTableRow()

void WPGTextDataHandler::openTableRow | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## openTextBox()

void WPGTextDataHandler::openTextBox | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## openUnorderedListLevel()

void WPGTextDataHandler::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## operator=()

WPGTextDataHandler & WPGTextDataHandler::operator= | ( | const WPGTextDataHandler & |  | ) |

private

## setDocumentMetaData()

void WPGTextDataHandler::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## startDocument()

void WPGTextDataHandler::startDocument | ( | const librevenge::RVNGPropertyList & |  | ) |

inline override

## Member Data Documentation

## m_fontName

librevenge::RVNGString WPGTextDataHandler::m_fontName

private

Referenced by WPGTextDataHandler().

## m_painter

librevenge::RVNGDrawingInterface* WPGTextDataHandler::m_painter

private

Referenced by closeListElement(), closeParagraph(), closeSpan(), insertLineBreak(), insertSpace(), insertTab(), insertText(), openListElement(), openParagraph(), openSpan(), and WPGTextDataHandler().

## m_paragraphStyle

librevenge::RVNGPropertyList WPGTextDataHandler::m_paragraphStyle

private

Referenced by WPGTextDataHandler().

## m_textStyle

librevenge::RVNGPropertyList WPGTextDataHandler::m_textStyle

private

Referenced by WPGTextDataHandler().

The documentation for this class was generated from the following files:

- WPGTextDataHandler.h
- WPGTextDataHandler.cpp